curl --request POST \
--url https://api.boostgpt.co/v1/bot/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"keywords": "<string>",
"source_ids": [
"<string>"
],
"tags": [
"<string>"
],
"top": 5
}
'{
"results": {
"context": "<string>",
"sources": [
{
"source_id": "<string>",
"favicon": "<string>",
"title": "<string>",
"url": "<string>",
"tags": [
"<string>"
]
}
],
"confidence_score": 123
}
}Search through an agent’s memory using keywords and filters
curl --request POST \
--url https://api.boostgpt.co/v1/bot/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"keywords": "<string>",
"source_ids": [
"<string>"
],
"tags": [
"<string>"
],
"top": 5
}
'{
"results": {
"context": "<string>",
"sources": [
{
"source_id": "<string>",
"favicon": "<string>",
"title": "<string>",
"url": "<string>",
"tags": [
"<string>"
]
}
],
"confidence_score": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
Use this file to discover all available pages before exploring further.
Enter your API key
Search results retrieved successfully
Search results containing context and sources
Show child attributes
Was this page helpful?